.TH "MainWindow" 3 "AlatZaAnalitiku" \" -*- nroff -*-
.ad l
.nh
.SH NAME
MainWindow
.SH SYNOPSIS
.br
.PP
.PP
\fR#include <mainwindow\&.h>\fP
.PP
Inherits QMainWindow\&.
.SS "Public Slots"

.in +1c
.ti -1c
.RI "void \fBfillStats\fP ()"
.br
.ti -1c
.RI "void \fBshowStat\fP ()"
.br
.ti -1c
.RI "void \fBopenChartWindow\fP ()"
.br
.in -1c
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "\fBMainWindow\fP (QWidget *parent=nullptr, const QString &filePath='')"
.br
.ti -1c
.RI "\fB~MainWindow\fP ()"
.br
.in -1c
.SS "Private Attributes"

.in +1c
.ti -1c
.RI "Ui::MainWindow * \fBui\fP"
.br
.ti -1c
.RI "QString \fB_filePath\fP"
.br
.ti -1c
.RI "\fBDataFrame\fP \fB_df\fP"
.br
.ti -1c
.RI "\fBGraphs\fP * \fBlineChart\fP"
.br
.in -1c
.SH "Constructor & Destructor Documentation"
.PP 
.SS "MainWindow::MainWindow (QWidget * parent = \fRnullptr\fP, const QString & filePath = \fR''\fP)"

.SS "MainWindow::~MainWindow ()"

.SH "Member Function Documentation"
.PP 
.SS "void MainWindow::fillStats ()\fR [slot]\fP"

.SS "void MainWindow::openChartWindow ()\fR [slot]\fP"

.SS "void MainWindow::showStat ()\fR [slot]\fP"

.SH "Member Data Documentation"
.PP 
.SS "\fBDataFrame\fP MainWindow::_df\fR [private]\fP"

.SS "QString MainWindow::_filePath\fR [private]\fP"

.SS "\fBGraphs\fP* MainWindow::lineChart\fR [private]\fP"

.SS "Ui::MainWindow* MainWindow::ui\fR [private]\fP"


.SH "Author"
.PP 
Generated automatically by Doxygen for AlatZaAnalitiku from the source code\&.
